
Figure - Bug #118839
【VC1】【0110】【实车】【EE环境】【副屏】使用网易新闻时，点击新闻标题会瞬间弹出播放短暂的抖音视
频音乐
2023-06-19 15:57 - 物联网测试组_TSCD 王维

Status: RESOLVED Start date: 2023-06-19

Priority: Normal Due date:

Assignee: CD FW-廖涛 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控0090��副屏0110

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version: 2023-11-17

Test Type: ST Root cause: 小窗应用生命周期管理问题。

Description

【环境信息】EE环境（709）

【前提条件】整车上电

【操作步骤】

1.打开抖音正常播放视频

2.打开网易新闻，点击新闻标题

【实际结果】

瞬间出现抖音的音乐

【期望结果】

正常进入新闻内容不会出现其他异常情况

History

#1 - 2023-06-19 19:50 - CD FW 曹覃刚

- Category changed from CD-APP to AUDIO-FW

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

在操作网易新闻的过程中，测试描述说有抖音的声音异常播出

音频相关问题，请帮忙分析，谢谢

#2 - 2023-08-01 17:14 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

最新版不发生此问题,请使用最新版进行确认,谢谢.

#3 - 2023-08-03 17:33 - 物联网测试组_TSCD 王维

- Assignee changed from 物联网测试组_TSCD 王维 to Multimedia组-RD3_TSCD 梁卿山

hi 卿山

如线下沟通在0129版本已复现现象且概率极高，请帮忙分析；谢谢
#4 - 2023-08-04 14:03 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前分析

1.从日志分析，发现并未有其他主动触发播放的日志，

该问题应该是抖音内部问题导致播放，

## 异常情况下，抖音内部发送event为2时会触发播放；

08-04 11:06:38.136  5911  6754 I ttmn    : <0x0,av_player_holder.cpp,sendEvent,413>event is: 2

08-04 11:06:38.138  1114 22664 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=2(PLAYER_STATE_STARTED)apc

=AudioPlaybackConfiguration piid:375 deviceId:3 type:android.media.AudioTrack u/pid:10108/5911 state:paused attr:AudioAttributes: usage=USAGE_MEDIA

content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:297

## 正常情况下爱，抖音内部发送event为3，不会触发播放；

08-04 11:06:38.653  5911  6754 I ttmn    : <0x0,av_player_holder.cpp,sendEvent,413>event is: 3

08-04 11:06:38.678  5911  6754 I ttmn    : <0x0,av_player_holder.cpp,sendEvent,413>event is: 3

08-04 11:06:38.774  5911  5911 I Choreographer: Skipped 38 frames!  The application may be doing too much work on its main thread.

08-04 11:06:38.805  5911  5911 D AudioManager: dispatching onAudioFocusChange(1) to android.media.AudioManager@834ff31X.9x5@537c616

08-04 11:06:39.378  5911  5911 D BluetoothAdapter: stopLeScan()

08-04 11:06:41.462   819   850 D audio_hw_primary: disable_snd_device: snd_device(2: speaker)

总结

该问题是第三方应用问题，申请不做处理。

#5 - 2023-08-04 14:31 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from -- to WONTFIX

- Root cause set to 该问题可能和应用生命周期相关，在小窗模式下，后面的小窗仅是隐藏，

在操作网易新闻时，抖音的小窗周期跟着刷新，会触发短暂播放事件，

该问题需要应用适配，应用问题，无法解决。

Hi ALL

该问题可能和应用生命周期相关，在小窗模式下，后面的小窗仅是隐藏，

在操作网易新闻时，抖音的小窗周期跟着刷新，会触发短暂播放事件，

该问题需要应用适配，应用问题，无法解决。

#6 - 2023-08-24 17:15 - CDTS_TEST 王成

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from 物联网测试组_TSCD 王维 to CD TPM-王祥林

请判断该BUG是否需要修改

#7 - 2023-11-15 14:31 - CD FW-廖涛
- Category changed from AUDIO-FW to CD-FW

- Assignee changed from CD TPM-王祥林 to CD FW-廖涛

#8 - 2023-11-16 17:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

328792 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MultiWindow: Fix lifecycle problem when freefrom window is not visible.TC-RID: 1201-0204601IssueID: TS-R-BUG-118839Change-Id:

I404b72391c5af488bbce3210ed6d2c38de322537

#9 - 2023-11-16 17:08 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from WONTFIX to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-11-17

- Root cause changed from 该问题可能和应用生命周期相关，在小窗模式下，后面的小窗仅是隐藏，

在操作网易新闻时，抖音的小窗周期跟着刷新，会触发短暂播放事件，

该问题需要应用适配，应用问题，无法解决。 to 小窗应用生命周期管理问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

小窗应用生命周期管理问题。

■ Next action

麻烦测试验证。

#10 - 2023-11-20 13:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329431 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: Fix lifecycle problem when freefrom window is not visible.TC-RID: 1201-0204601IssueID: TS-R-BUG-118839Change-Id:

I404b72391c5af488bbce3210ed6d2c38de322537(cherry picked from commit fc80a63ca7720b67778f4c72363c734fba742faa)

Files

fp.txt 10.8 MB 2023-06-19 物联网测试组_TSCD 王维

中科创达软件股份有限公司20230619-155630.mp4 8.37 MB 2023-06-19 物联网测试组_TSCD 王维
